from NR_BS_3GPP_Rx_Px_tests.TS38141_1 import *     # Import for conducted tests (TS 38.141-1)

resource_string_SMW_hislip = 'TCPIP::192.168.1.0::hislip0'  # Hi-Speed LAN connection - see 1MA208
resource_string_SMW_vxi11 = 'TCPIP::192.168.1.0::INSTR'  # VXI-11 connection
resource_string_SMW_usb = 'USB::0x0AAD::0x0119::022019943::INSTR'  # USB-TMC (test and measurement class)

try:
    # Initialization
    mytest72 = TC72(resource_string_SMW_hislip)
    # Set some test specific parameter values
    mytest72.scs = enums.Numerology.N15
    mytest72.bs_class = enums.BsClass.LOC
    mytest72.dmrs_pos = 3
    # Apply signal configuration
    mytest72.apply_configuration()
    # Switch RF output(s) on
    mytest72.switch_rf_on()
    # Close connection
    mytest72.close()

# Error and exception handling
except RsException as e:
    print(e.args[0])    # Print error(s)
else:
    print('Test execution successful')
